import 'package:bmcommons/bmcommons.dart';
import 'package:flutter/material.dart';
import 'package:velocity_components/widgets/shadowed_container.dart';
import 'package:velocity_components/widgets/texts/texts.dart';

class StatBox extends StatelessWidget {
  final String title;
  final String subtitle;
  final Color color;
  final IconData? icon;

  const StatBox({
    Key? key,
    required this.title,
    required this.subtitle,
    required this.color,
    this.icon,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return ShadowedContainer(
      child: Padding(
        padding: Spacing.smallVerticalPadding,
        child: Padding(
          padding: Spacing.standardHorizontalPadding,
          child: Column(
            crossAxisAlignment: CrossAxisAlignment.start,
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              if (icon != null)
                Padding(
                  padding: const EdgeInsets.only(bottom: 12),
                  child: Container(
                    height: 35,
                    width: 35,
                    decoration: BoxDecoration(
                      color: color.withOpacity(0.2),
                      borderRadius: BorderRadius.circular(25),
                    ),
                    child: Icon(
                      icon,
                      color: color,
                      size: 14,
                    ),
                  ),
                ),
              if (icon != null) VerticalSpacing(4),
              FittedBox(
                child: Headline3(
                  title,
                ),
              ),
              VerticalSpacing(8),
              FittedBox(
                child: Caption(
                  subtitle,
                ),
              ),
            ],
          ),
        ),
      ),
    );
  }
}
