import 'package:flutter/material.dart';
import 'package:velocity_components/constants/_constants.dart';

class Headline1 extends StatelessWidget {
  final String title;
  final Color? color;
  const Headline1(this.title, {Key? key, this.color = darkTextColor}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Text(
      title,
      style: TextStyle(
        fontFamily: 'Rubik',
        fontSize: 48,
        fontWeight: FontWeight.w300,
        color: color,
      ),
    );
  }
}

class Headline2 extends StatelessWidget {
  final String title;
  final Color? color;
  const Headline2(this.title, {Key? key, this.color = darkTextColor}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Text(
      title,
      style: TextStyle(
        fontFamily: 'Rubik',
        fontSize: 34,
        fontWeight: FontWeight.w300,
        color: color,
      ),
    );
  }
}

class Headline3 extends StatelessWidget {
  final String title;
  final Color? color;
  const Headline3(this.title, {Key? key, this.color = darkTextColor}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Text(
      title,
      style: TextStyle(
        fontFamily: 'Rubik',
        fontSize: 28,
        fontWeight: FontWeight.w300,
        color: color,
      ),
    );
  }
}

class Headline4 extends StatelessWidget {
  final String title;
  final Color? color;
  const Headline4(this.title, {Key? key, this.color = darkTextColor}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Text(
      title,
      style: TextStyle(
        fontFamily: 'Rubik',
        fontSize: 15,
        fontWeight: FontWeight.w500,
        color: color,
      ),
    );
  }
}

class Headline5 extends StatelessWidget {
  final String title;
  final Color? color;
  const Headline5(this.title, {Key? key, this.color = darkTextColor}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Text(
      title,
      style: TextStyle(
        fontFamily: 'Rubik',
        fontSize: 15,
        fontWeight: FontWeight.normal,
        color: color,
      ),
    );
  }
}

class Headline6 extends StatelessWidget {
  final String title;
  final Color? color;
  const Headline6(this.title, {Key? key, this.color = mediumTextColor}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Text(
      title,
      style: TextStyle(
        fontFamily: 'Rubik',
        fontSize: 15,
        fontWeight: FontWeight.normal,
        color: color,
      ),
    );
  }
}

class BodyText1 extends StatelessWidget {
  final String title;
  final Color? color;
  const BodyText1(this.title, {Key? key, this.color = lightTextColor}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Text(
      title,
      style: TextStyle(
        fontFamily: 'Rubik',
        fontSize: 15,
        fontWeight: FontWeight.normal,
        color: color,
      ),
    );
  }
}

class BodyText2 extends StatelessWidget {
  final String title;
  final Color? color;
  const BodyText2(this.title, {Key? key, this.color = lightTextColor}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Text(
      title,
      style: TextStyle(
        fontFamily: 'Rubik',
        fontSize: 12,
        fontWeight: FontWeight.w500,
        color: color,
        letterSpacing: 1.15,
      ),
    );
  }
}

class Caption extends StatelessWidget {
  final String title;
  final Color? color;
  const Caption(this.title, {Key? key, this.color = mediumTextColor}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Text(
      title.toUpperCase(),
      style: TextStyle(
        fontFamily: 'Rubik',
        fontSize: 13,
        fontWeight: FontWeight.normal,
        color: color,
        letterSpacing: 1.15,
      ),
    );
  }
}
